using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MWS.Library.Enums
{
    /// <summary>
    /// 单位类型 0 正常 1 档位 2 重量 3 行程高度 4 载荷  5 电流 6 电压 7 速度 8 振幅 9 温度 10 力矩  11 频率 12 虚拟档位 13 制动器
    /// </summary>
    public enum  UnitType
    {
        /// <summary>
        /// 无单位 
        /// </summary>
        [Description("")]
        None = 0,

        /// <summary>
        /// 挡位
        /// </summary>
        [Description("")]
        Gear = 1,

        /// <summary>
        /// 重量吨
        /// </summary>
        [Description("T")]
        Ton = 2,

        /// <summary>
        /// 行程高度
        /// </summary>
        [Description("M")]
        Trip = 3,

        /// <summary>
        /// 载荷
        /// </summary>
        [Description("T")]
        Load = 4,


        /// <summary>
        /// 电流
        /// </summary>
        [Description("A")]
        Ampere = 5,

        /// <summary>
        /// 电压
        /// </summary>
        [Description("V")]
        Volt = 6,

        /// <summary>
        /// 速度
        /// </summary>
        [Description("米/秒")]
        Speed = 7,

        /// <summary>
        /// 振幅
        /// </summary>
        [Description("mm")]
        Vibration = 8,

        /// <summary>
        /// 温度
        /// </summary>
        [Description("℃")]
        Temperature = 9,

        /// <summary>
        /// 力矩
        /// </summary>
        [Description("N/m")]
        Moment = 10,

        /// <summary>
        /// 频率
        /// </summary>
        [Description("HZ")]
        Frequency = 11,

        /// <summary>
        /// 虚拟挡位
        /// </summary>
        [Description("")]
        VGear = 12,

        /// <summary>
        /// 制动器
        /// </summary>
        [Description("")]
        Brake = 13

    }
}
